Get agent
curl --request GET \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"state": "active",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_profile_id": "<string>",
"integration_target": {
"provider": "<string>",
"provider_ref": "<string>",
"provider_ref_kind": "<string>",
"display_name": "<string>",
"provider_uri": "<string>"
},
"current_config_id": "<string>",
"model": {
"provider_config": "<string>",
"name": "<string>"
},
"archived_at": "2023-11-07T05:31:56Z"
},
"machine_ids": [
"<string>"
],
"mcp_connections": [
{
"server_key": "<string>",
"endpoint_url": "<string>",
"state": "initializing",
"initialize_error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"protocol_version": "<string>"
}
]
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Agents
Get agent
GET
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
agents
/
{agentID}
Get agent
Authorizations
bearerAuthbrowserSessionCookie
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^agt_[a-z2-7]{26}$⌘I